Bug 127168 - [PATCH] Upgrade editors/emacs to GNU Emacs 22.3
Summary: [PATCH] Upgrade editors/emacs to GNU Emacs 22.3
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Boris Samorodov
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-09-07 04:40 UTC by Giorgos Keramidas
Modified: 2008-11-10 23:00 UTC (History)
0 users

See Also:


Attachments
emacs-22.3-release.patch (8.33 KB, patch)
2008-09-07 04:40 UTC, Giorgos Keramidas
no flags Details | Diff
emacs-22.3-release.patch (7.41 KB, patch)
2008-11-07 06:14 UTC, Giorgos Keramidas
no flags Details | Diff
emacs-22.3-release.vuxml (1.98 KB, text/x-diff)
2008-11-07 06:14 UTC, Giorgos Keramidas
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Giorgos Keramidas freebsd_committer 2008-09-07 04:40:00 UTC
Update the editors/emacs port to GNU Emacs 22.3.

This version also includes a security fix in the way Emacs interacts
with Python.  More details are available online at:

  http://lists.gnu.org/archive/html/emacs-devel/2008-09/msg00215.html

I've rebased the local FreeBSD patches and build-tested this on i386 and
amd64 with the default options, with WITHOUT_GTK and WITHOUT_X11.  More
testing is probably needed for other platforms, but it would be nice if
we commit this upgrade to get the security fix in, and then fix any
fallout for the remaining platforms.
Comment 1 Edwin Groothuis freebsd_committer 2008-09-07 04:40:12 UTC
Class Changed
From-To: maintainer-update->change-request

Fix category (submitter is not maintainer) (via the GNATS Auto Assign 
Tool)
Comment 2 Edwin Groothuis freebsd_committer 2008-09-07 04:40:16 UTC
Responsible Changed
From-To: freebsd-ports-bugs->keramida

Submitter has GNATS access (via the GNATS Auto Assign Tool)
Comment 3 Edwin Groothuis freebsd_committer 2008-09-07 04:40:18 UTC
Maintainer of editors/emacs,

Please note that PR ports/127168 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/127168

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 4 Edwin Groothuis freebsd_committer 2008-09-07 04:40:20 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 5 Giorgos Keramidas freebsd_committer 2008-09-07 14:09:29 UTC
State Changed
From-To: feedback->open

Submitter has Gnats access but is not a ports committer. 


Comment 6 Giorgos Keramidas freebsd_committer 2008-09-07 14:09:29 UTC
Responsible Changed
From-To: keramida->freebsd-ports-bugs
Comment 7 Giorgos Keramidas 2008-09-08 21:35:09 UTC
An updated patch that includes the `bsd.emacs.mk' changes too is
attached below:

 %%%
Index: Mk/bsd.emacs.mk
===================================================================
RCS file: /home/ncvs/ports/Mk/bsd.emacs.mk,v
retrieving revision 1.73
diff -u -r1.73 bsd.emacs.mk
--- Mk/bsd.emacs.mk	3 Jun 2008 14:36:49 -0000	1.73
+++ Mk/bsd.emacs.mk	8 Sep 2008 19:46:40 -0000
@@ -83,7 +83,7 @@
 # Emacs-22.x
 .elif (${EMACS_PORT_NAME} == "emacs22")
 EMACS_NAME=		emacs
-EMACS_VER=		22.2
+EMACS_VER=		22.3
 EMACS_MAJOR_VER=	22
 EMACS_LIBDIR?=		share/${EMACS_NAME}
 EMACS_LIBDIR_WITH_VER?=	share/${EMACS_NAME}/${EMACS_VER}
Index: editors/emacs/Makefile
===================================================================
RCS file: /home/ncvs/ports/editors/emacs/Makefile,v
retrieving revision 1.79
diff -u -r1.79 Makefile
--- editors/emacs/Makefile	21 Aug 2008 06:16:55 -0000	1.79
+++ editors/emacs/Makefile	8 Sep 2008 19:46:05 -0000
@@ -29,7 +29,7 @@
 		xemacs-[0-9]* xemacs-devel-[0-9]* \
 		xemacs-mule-[0-9]* xemacs-devel-mule-[0-9]*
 
-EMACS_VER=	22.2
+EMACS_VER=	22.3
 GNU_CONFIGURE=	yes
 USE_GMAKE=	yes
 
Index: editors/emacs/distinfo
===================================================================
RCS file: /home/ncvs/ports/editors/emacs/distinfo,v
retrieving revision 1.13
diff -u -r1.13 distinfo
--- editors/emacs/distinfo	3 Jun 2008 14:36:49 -0000	1.13
+++ editors/emacs/distinfo	8 Sep 2008 19:46:05 -0000
@@ -1,3 +1,3 @@
-MD5 (emacs-22.2.tar.gz) = d6ee586b8752351334ebf072904c4d51
-SHA256 (emacs-22.2.tar.gz) = 216839e1fb38ca4f2ed0a07689fb47ee80d90845f34e0a56fe781d6aa462e367
-SIZE (emacs-22.2.tar.gz) = 38694318
+MD5 (emacs-22.3.tar.gz) = aa8ba34f548cd78b35914ae5a7bb87eb
+SHA256 (emacs-22.3.tar.gz) = 7bd9b719db8ee20c75ee0d256737f7fd2c0e2ea30a285a3afbfc32c856420d16
+SIZE (emacs-22.3.tar.gz) = 39587396
Index: editors/emacs/pkg-plist
===================================================================
RCS file: /home/ncvs/ports/editors/emacs/pkg-plist,v
retrieving revision 1.27
diff -u -r1.27 pkg-plist
--- editors/emacs/pkg-plist	3 Jun 2008 14:36:49 -0000	1.27
+++ editors/emacs/pkg-plist	8 Sep 2008 19:46:05 -0000
@@ -2381,10 +2381,10 @@
 %%DATADIR%%/%%EMACS_VER%%/lisp/textmodes/artist.elc
 %%DATADIR%%/%%EMACS_VER%%/lisp/textmodes/bib-mode.el.gz
 %%DATADIR%%/%%EMACS_VER%%/lisp/textmodes/bib-mode.elc
-%%DATADIR%%/%%EMACS_VER%%/lisp/textmodes/bibtex.el.gz
-%%DATADIR%%/%%EMACS_VER%%/lisp/textmodes/bibtex.elc
 %%DATADIR%%/%%EMACS_VER%%/lisp/textmodes/bibtex-style.el.gz
 %%DATADIR%%/%%EMACS_VER%%/lisp/textmodes/bibtex-style.elc
+%%DATADIR%%/%%EMACS_VER%%/lisp/textmodes/bibtex.el.gz
+%%DATADIR%%/%%EMACS_VER%%/lisp/textmodes/bibtex.elc
 %%DATADIR%%/%%EMACS_VER%%/lisp/textmodes/conf-mode.el.gz
 %%DATADIR%%/%%EMACS_VER%%/lisp/textmodes/conf-mode.elc
 %%DATADIR%%/%%EMACS_VER%%/lisp/textmodes/css-mode.el.gz
@@ -2403,6 +2403,16 @@
 %%DATADIR%%/%%EMACS_VER%%/lisp/textmodes/makeinfo.elc
 %%DATADIR%%/%%EMACS_VER%%/lisp/textmodes/nroff-mode.el.gz
 %%DATADIR%%/%%EMACS_VER%%/lisp/textmodes/nroff-mode.elc
+%%DATADIR%%/%%EMACS_VER%%/lisp/textmodes/org-export-latex.el.gz
+%%DATADIR%%/%%EMACS_VER%%/lisp/textmodes/org-export-latex.elc
+%%DATADIR%%/%%EMACS_VER%%/lisp/textmodes/org-irc.el.gz
+%%DATADIR%%/%%EMACS_VER%%/lisp/textmodes/org-irc.elc
+%%DATADIR%%/%%EMACS_VER%%/lisp/textmodes/org-mac-message.el.gz
+%%DATADIR%%/%%EMACS_VER%%/lisp/textmodes/org-mac-message.elc
+%%DATADIR%%/%%EMACS_VER%%/lisp/textmodes/org-mouse.el.gz
+%%DATADIR%%/%%EMACS_VER%%/lisp/textmodes/org-mouse.elc
+%%DATADIR%%/%%EMACS_VER%%/lisp/textmodes/org-publish.el.gz
+%%DATADIR%%/%%EMACS_VER%%/lisp/textmodes/org-publish.elc
 %%DATADIR%%/%%EMACS_VER%%/lisp/textmodes/org.el.gz
 %%DATADIR%%/%%EMACS_VER%%/lisp/textmodes/org.elc
 %%DATADIR%%/%%EMACS_VER%%/lisp/textmodes/page-ext.el.gz
@@ -2620,9 +2630,10 @@
 %%DATADIR%%/site-lisp/subdirs.el
 var/games/emacs/snake-scores
 var/games/emacs/tetris-scores
-@dirrm libexec/emacs/%%EMACS_VER%%/%%EMACS_ARCH%%
-@dirrm libexec/emacs/%%EMACS_VER%%
-@dirrm libexec/emacs
+@dirrmtry var/games/emacs
+@dirrmtry var/games
+@dirrmtry var
+@dirrmtry %%DATADIR%%/%%EMACS_VER%%/site-lisp
 @dirrm %%DATADIR%%/%%EMACS_VER%%/lisp/url
 @dirrm %%DATADIR%%/%%EMACS_VER%%/lisp/textmodes
 @dirrm %%DATADIR%%/%%EMACS_VER%%/lisp/term
@@ -2658,8 +2669,7 @@
 @dirrm %%DATADIR%%/%%EMACS_VER%%/etc/images
 @dirrm %%DATADIR%%/%%EMACS_VER%%/etc/e
 @dirrm %%DATADIR%%/%%EMACS_VER%%/etc
-@dirrm %%DATADIR%%/%%EMACS_VER%%/site-lisp
 @dirrm %%DATADIR%%/%%EMACS_VER%%
-@dirrmtry var/games/emacs
-@dirrmtry var/games
-@dirrmtry var
+@dirrm libexec/emacs/%%EMACS_VER%%/%%EMACS_ARCH%%
+@dirrm libexec/emacs/%%EMACS_VER%%
+@dirrm libexec/emacs
Index: editors/emacs/files/patch-Makefile.in
===================================================================
RCS file: /home/ncvs/ports/editors/emacs/files/patch-Makefile.in,v
retrieving revision 1.3
diff -u -r1.3 patch-Makefile.in
--- editors/emacs/files/patch-Makefile.in	16 Jul 2007 17:06:44 -0000	1.3
+++ editors/emacs/files/patch-Makefile.in	8 Sep 2008 19:46:05 -0000
@@ -1,6 +1,6 @@
---- ./Makefile.in.orig	Sun Aug 27 04:16:25 2006
-+++ ./Makefile.in	Fri Sep  1 21:10:08 2006
-@@ -409,14 +409,6 @@
+--- Makefile.in.orig	2008-09-07 05:23:59.000000000 +0300
++++ Makefile.in	2008-09-07 05:23:59.000000000 +0300
+@@ -419,14 +419,6 @@
  ## That flag is also used in leim/Makefile.in
  install-arch-indep: mkdir info
  	-set ${COPYDESTS} ; \
@@ -15,7 +15,7 @@
  	mkdir ${COPYDESTS} ; \
  	chmod ugo+rx ${COPYDESTS} ; \
  	unset CDPATH; \
-@@ -503,9 +495,9 @@
+@@ -513,9 +505,9 @@
  	   fi; \
  	   cd ${srcdir}/info ; \
  	   for elt in $(INFO_FILES); do \
@@ -28,7 +28,7 @@
  	      done; \
  	   done); \
  	else true; fi
-@@ -515,7 +507,7 @@
+@@ -525,7 +517,7 @@
  	then \
  	  for elt in $(INFO_FILES); do \
  	    (cd $${thisdir}; \
@@ -36,4 +36,4 @@
 +	     ${INSTALL_INFO} --info-dir=$(DESTDIR)${infodir} $(DESTDIR)${infodir}/$$elt.info); \
  	  done; \
  	else true; fi
- 	-chmod -R a+r $(DESTDIR)${datadir}/emacs ${COPYDESTS} $(DESTDIR)${infodir}
+ 	-chmod -R a+r $(DESTDIR)${datadir}/emacs/${version} $(DESTDIR)${datadir}/emacs/site-lisp ${COPYDESTS} $(DESTDIR)${infodir}
Index: editors/emacs/files/patch-lispintro-Makefile.in
===================================================================
RCS file: /home/ncvs/ports/editors/emacs/files/patch-lispintro-Makefile.in,v
retrieving revision 1.1
diff -u -r1.1 patch-lispintro-Makefile.in
--- editors/emacs/files/patch-lispintro-Makefile.in	16 Jul 2007 17:06:44 -0000	1.1
+++ editors/emacs/files/patch-lispintro-Makefile.in	8 Sep 2008 19:46:05 -0000
@@ -1,6 +1,6 @@
---- ./lispintro/Makefile.in.orig	Mon Feb  6 01:05:17 2006
-+++ ./lispintro/Makefile.in	Fri Sep  1 21:10:08 2006
-@@ -33,7 +33,7 @@
+--- lispintro/Makefile.in.orig	2008-09-07 05:24:38.000000000 +0300
++++ lispintro/Makefile.in	2008-09-07 05:24:38.000000000 +0300
+@@ -34,7 +34,7 @@
  INFO_TARGETS = ${infodir}/eintr
  DVI_TARGETS = emacs-lisp-intro.dvi
  
@@ -8,4 +8,4 @@
 +MAKEINFO = makeinfo --no-split
  TEXI2DVI = texi2dvi
  DVIPS = dvips
- ENVADD = TEXINPUTS="$(srcdir):$(TEXINPUTS)" MAKEINFO="$(MAKEINFO) -I$(srcdir)"
+ 
Index: editors/emacs/files/patch-lispref-Makefile.in
===================================================================
RCS file: /home/ncvs/ports/editors/emacs/files/patch-lispref-Makefile.in,v
retrieving revision 1.1
diff -u -r1.1 patch-lispref-Makefile.in
--- editors/emacs/files/patch-lispref-Makefile.in	16 Jul 2007 17:06:44 -0000	1.1
+++ editors/emacs/files/patch-lispref-Makefile.in	8 Sep 2008 19:46:05 -0000
@@ -1,6 +1,6 @@
---- ./lispref/Makefile.in.orig	Mon Aug 21 08:22:22 2006
-+++ ./lispref/Makefile.in	Fri Sep  1 21:10:08 2006
-@@ -32,7 +32,7 @@
+--- lispref/Makefile.in.orig	2008-09-07 05:24:57.000000000 +0300
++++ lispref/Makefile.in	2008-09-07 05:24:57.000000000 +0300
+@@ -33,7 +33,7 @@
  TEXI2DVI = texi2dvi
  SHELL = /bin/sh
  INSTALL_INFO = install-info
@@ -9,7 +9,7 @@
  
  # The name of the manual:
  VERSION=2.9
-@@ -109,7 +109,7 @@
+@@ -110,7 +110,7 @@
  # This is for use in a separate distro of the Emacs Lisp manual.
  install: elisp
  	$(srcdir)/mkinstalldirs $(infodir)
@@ -18,7 +18,7 @@
  	${INSTALL_INFO} --info-dir=${infodir} ${infodir}/elisp
  
  # This is for use in a separate distro of the Emacs Lisp manual.
-@@ -125,7 +125,7 @@
+@@ -126,7 +126,7 @@
  
  maintainer-clean: clean
  	rm -f elisp.dvi elisp.oaux
@@ -27,7 +27,7 @@
  
  dist: $(infodir)/elisp elisp.dvi
  	-rm -rf temp
-@@ -135,7 +135,7 @@
+@@ -136,7 +136,7 @@
   $(srcdir)/Makefile.in $(srcs) \
   $(srcdir)/../man/texinfo.tex \
   elisp.dvi elisp.aux elisp.??s \
Index: editors/emacs/files/patch-man-Makefile.in
===================================================================
RCS file: /home/ncvs/ports/editors/emacs/files/patch-man-Makefile.in,v
retrieving revision 1.1
diff -u -r1.1 patch-man-Makefile.in
--- editors/emacs/files/patch-man-Makefile.in	16 Jul 2007 17:06:44 -0000	1.1
+++ editors/emacs/files/patch-man-Makefile.in	8 Sep 2008 19:46:05 -0000
@@ -1,5 +1,5 @@
---- ./man/Makefile.in.orig	Sat May  6 18:54:21 2006
-+++ ./man/Makefile.in	Fri Sep  1 21:10:08 2006
+--- man/Makefile.in.orig	2008-09-07 05:25:12.000000000 +0300
++++ man/Makefile.in	2008-09-07 05:25:12.000000000 +0300
 @@ -32,7 +32,7 @@
  
  # The makeinfo program is part of the Texinfo distribution.
Index: editors/emacs/files/patch-src-alloc.c
===================================================================
RCS file: editors/emacs/files/patch-src-alloc.c
diff -N editors/emacs/files/patch-src-alloc.c
--- /dev/null	1 Jan 1970 00:00:00 -0000
+++ editors/emacs/files/patch-src-alloc.c	8 Sep 2008 19:46:05 -0000
@@ -0,0 +1,15 @@
+--- src/alloc.c.orig	2008-09-07 05:25:27.000000000 +0300
++++ src/alloc.c	2008-09-07 05:25:27.000000000 +0300
+@@ -4573,8 +4573,12 @@
+      needed on ia64 too.  See mach_dep.c, where it also says inline
+      assembler doesn't work with relevant proprietary compilers.  */
+ #ifdef __sparc__
++#ifdef __sparc64__
++  asm ("flushw");
++#else
+   asm ("ta 3");
+ #endif
++#endif
+ 
+   /* Save registers that we need to see on the stack.  We need to see
+      registers used to hold register variables and registers used to
Index: editors/emacs/files/patch-src__alloc.c
===================================================================
RCS file: editors/emacs/files/patch-src__alloc.c
diff -N editors/emacs/files/patch-src__alloc.c
--- editors/emacs/files/patch-src__alloc.c	16 Jul 2007 17:06:44 -0000	1.1
+++ /dev/null	1 Jan 1970 00:00:00 -0000
@@ -1,14 +0,0 @@
---- ./src/alloc.c.orig	Thu Aug 31 20:50:29 2006
-+++ ./src/alloc.c	Fri Sep  1 21:10:08 2006
-@@ -4560,7 +4560,11 @@
-      needed on ia64 too.  See mach_dep.c, where it also says inline
-      assembler doesn't work with relevant proprietary compilers.  */
- #ifdef sparc
-+#ifdef __sparc64__
-+  asm ("flushw");
-+#else
-   asm ("ta 3");
-+#endif
- #endif
- 
-   /* Save registers that we need to see on the stack.  We need to see
%%%
Comment 8 Boris Samorodov freebsd_committer 2008-09-08 22:39:40 UTC
Responsible Changed
From-To: freebsd-ports-bugs->bsam

Take.
Comment 9 Boris B.Samorodov 2008-09-16 13:03:23 UTC
Giorgos, have you got any progress? I mean:
http://lists.freebsd.org/pipermail/freebsd-ports/2008-September/050619.html


WBR
-- 
bsam
Comment 10 Boris B.Samorodov 2008-11-06 06:58:30 UTC
Giorgos, do you have any news? Thanks!

WBR
-- 
bsam
Comment 11 Giorgos Keramidas 2008-11-07 05:32:32 UTC
On Tue, 16 Sep 2008 16:03:23 +0400, Boris Samorodov <bsam@ipt.ru> wrote:
> Giorgos, have you got any progress? I mean:
> http://lists.freebsd.org/pipermail/freebsd-ports/2008-September/050619.html

On Thu, 06 Nov 2008 09:58:30 +0300, Boris Samorodov <bsam@ipt.ru> wrote:
> Giorgos, do you have any news? Thanks!

I thought my reply to the comments was sent, but apparently it didn't
reach anywhere.  I don't see it in freebsd-ports archives for one thing.

I seem to be intermittently losing outgoing email.  I'm not 100% sure
why, but other people have complained to me about this too :(

The original post you sent said:

Boris Samorodov wrote:
: Giorgos Keramidas <keramida at freebsd.org> writes:
: > Yeah, the patch as it is attached in the port now lacks at least the
: > `bsd.emacs.mk' changes, which I attached to this message.  I've
:
: Usually I don't like such changes (to *.mk stuff) just before
: freeze/release... But since you are the maintainer I'm not scared.

The patch to `bsd.emacs.mk' is just to make sure that `child' ports can
find the right `/usr/local/emacs' subdir, where they will install their
Emacs Lisp code.  It should be relatively safe as it mostly affects only
one makefile variable: EMACS_VER :)

: As you may see at my email headers I'm already using the new emacs
: version. But it states itself (at the window name) that it is 22.3.1.
: I'm not sure why. I was always curious why those versions don't
: correspond to the ports versions (i.e. PORTVERSION).

Emacs uses its own internal numbering scheme, which doesn't really fit
with PORTVERSION and PORTREVISION.  What Emacs reports is essentially
something that emulates what we do with PORTREVISION, i.e. the first
release from the 22.X branch is 22.1 and every time it compiles from the
same source tree it bumps the minor-minor number from 22.1.1 to 22.1.2
and so on.

We have our own scheme of minor port revisions with PORTREVISION, but it
does't necessarily match what the `ports/editors/emacs/work' source tree
thinks about its own minor-minor revision number.

In short, what you see as the internal (emacs-version) value is ok :)

: I'm not sure why the following patch is needed:
:
: > Index: editors/emacs/files/patch-man-Makefile.in
: > ===================================================================
: > RCS file: /home/ncvs/ports/editors/emacs/files/patch-man-Makefile.in,v
: > retrieving revision 1.1
: > diff -u -r1.1 patch-man-Makefile.in
: > --- editors/emacs/files/patch-man-Makefile.in 16 Jul 2007 17:06:44 -0000      1.1
: > +++ editors/emacs/files/patch-man-Makefile.in 8 Sep 2008 19:46:05 -0000
: > @@ -1,5 +1,5 @@
: > ---- ./man/Makefile.in.orig   Sat May  6 18:54:21 2006
: > -+++ ./man/Makefile.in        Fri Sep  1 21:10:08 2006
: > +--- man/Makefile.in.orig     2008-09-07 05:25:12.000000000 +0300
: > ++++ man/Makefile.in  2008-09-07 05:25:12.000000000 +0300
: >  @@ -32,7 +32,7 @@
: >
: >   # The makeinfo program is part of the Texinfo distribution.

It isn't.  I will clean it up a bit.

: And those two patches seems to only rename an existing file
: if I'm not mistaken. With all my respect to you as a mantainer
: I'd say that you should have a good reason for that and if so
: it worth mentionning at the commit's log. As for me I won't
: do any renames while at ports freeze. But sure it's up to you. ;-)

Ok, I'll prepare a patch without the rename.
Comment 12 Giorgos Keramidas 2008-11-07 06:14:47 UTC
Done.  Attached is the new patch:
Comment 13 dfilter service freebsd_committer 2008-11-10 22:31:07 UTC
bsam        2008-11-10 22:30:51 UTC

  FreeBSD ports repository

  Modified files:
    Mk                   bsd.emacs.mk 
    editors/emacs        Makefile distinfo pkg-plist 
    editors/emacs/files  patch-Makefile.in 
                         patch-lispintro-Makefile.in 
                         patch-lispref-Makefile.in 
                         patch-src__alloc.c 
  Log:
  . update to version 22.3 (includes a security fix in the way Emacs
    interacts with Python);
  . change EMACS_VER at bsd.emacs.mk.
  
  While I'm here: remove old PORTREVISION.
  
  PR:             127168
  Submitted by:   keramida (maintainer)
  
  Revision  Changes    Path
  1.74      +2 -2      ports/Mk/bsd.emacs.mk
  1.80      +1 -2      ports/editors/emacs/Makefile
  1.14      +3 -3      ports/editors/emacs/distinfo
  1.4       +6 -6      ports/editors/emacs/files/patch-Makefile.in
  1.2       +4 -4      ports/editors/emacs/files/patch-lispintro-Makefile.in
  1.2       +6 -6      ports/editors/emacs/files/patch-lispref-Makefile.in
  1.2       +6 -5      ports/editors/emacs/files/patch-src__alloc.c
  1.28      +19 -9     ports/editors/emacs/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 14 dfilter service freebsd_committer 2008-11-10 22:50:44 UTC
bsam        2008-11-10 22:50:28 UTC

  FreeBSD ports repository

  Modified files:
    security/vuxml       vuln.xml 
  Log:
  Document vulnerability in Emacs python integration.
  
  PR:             127168
  Submitted by:   keramida
  
  Revision  Changes    Path
  1.1744    +43 -1     ports/security/vuxml/vuln.xml
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 15 Boris Samorodov freebsd_committer 2008-11-10 22:54:20 UTC
State Changed
From-To: open->closed

Committed, thanks! 
PS. I removed an old PORTREVISION.